\chapter{Features}

\ViTE comes with some features helping the use.

\section{Recent files/Reload traces}

When the user does modifications on the current trace he would like to be able to reload the trace without launching \ViTE.
The reload button (or menu) is here to solve this problem.

The user could also be working with the same traces for a long time. The recent files menu helps him to store the most recent opened traces in order to load them fastly. %without looking for theirs paths.

\section{Trace export}
Go to \verb?File? and choose \verb?export?.\\
A dialog box will open. You can select the type of the file among svg, jpeg, png or txt. Then type the name of the file with or without the extension (it will be added if it is not).

The svg, png and jpeg selections export the trace in the current displayed interval (zoom and/or translation will be taken in account).

The txt option exports the counter chosen in the next windows (figure \ref{select_counter}).

The format of the text file is readable with third part software such as \emph{gnuplot} to easily have use some data concerning the counters.

\begin{figure}[hbtp]
\centering
\includegraphics[width=8cm]{images/select_counter}
\caption{\label{select_counter}{Selection of the counter to export}}
\end{figure}

\section{Minimap}
The minimap is a thumbnail of the current trace view.
It is helpful to situate where you are looking in the trace when you have zoomed a lot.

\section{Preferences menu}
This menu contains the settings you can modify to customize \ViTE.

\subsection{The settings} \label{set_plugins_dir}
It is where the user can customize its \ViTE. You can modify global informations as for the use of palette for looking the trace.
Also there are more specific options for configuring the palettes, the directories where to look for plugins and informations about the minimap.

\subsection{The plugins}

Plugins are created by users in order to interact with \ViTE. They do not need a recompilation of \ViTE when you want to add one. For now, they are two main plugins~: one giving the distribution and the other one showing some statistics on the trace.
The existing ones are explained in the paragraph \ref{plugins}.

\subsection{Other options}

You can show or hide the information window by choosing \verb?Show infos window? in the \verb?View? menu.

You can hide the warning messages shown in the information window by chosing \verb?No warning? in the \verb?View? menu.
